Subject: /sbin/init is not beeing scheduled to run

From: Chunlei Dong <[email-masked]>
Date: Wed, 29 Jun 2005 09:39:55 -0700

Hi,=20

I am trying to boot the linux 2.6.11.5 in high memory, that means the
phys memory does not start from 0, but 0x04000000, on ppc440gp ebony
board.  I changed the TLB setting and register settings for bdinfo,
cmdline. Now it seems ok to run to the end of the process 0. After the
start_thread() in load_elf_binary(), which loaded the "/sbin/init",
the cpu becomes idle state, the /sbin/init process(the process 1) is
never been scheduled to run.
Anybody encountered this problem or give a hint?

Best regards
- Charlie